@@ -57,25 +57,25 @@ jobs:
5757
5858 steps :
5959 - name : Set up Docker Buildx
60- uses : docker/setup-buildx-action@v3
60+ uses : docker/setup-buildx-action@v4
6161
6262 - name : Checkout Source code
6363 if : github.event_name == 'push'
64- uses : actions/checkout@v4
64+ uses : actions/checkout@v6
6565 with :
6666 fetch-depth : 0
6767# ref: master
6868
6969 - name : Checkout Source code
7070 if : github.event_name == 'pull_request'
71- uses : actions/checkout@v4
71+ uses : actions/checkout@v6
7272 with :
7373 fetch-depth : 0
7474 ref : ${{ github.event.pull_request.head.sha }}
7575
7676 - name : Checkout Source code
7777 if : github.event_name == 'workflow_dispatch'
78- uses : actions/checkout@v4
78+ uses : actions/checkout@v6
7979 with :
8080 ref : ${{ github.sha }}
8181
9797 echo "GIT_HASH=${git_hash}" >> $GITHUB_ENV
9898
9999 - name : Get packpack tool
100- uses : actions/checkout@v4
100+ uses : actions/checkout@v6
101101 with :
102102 repository : ${{ env.PACKPACK_REPO }}
103103 path : tools
@@ -120,7 +120,7 @@ jobs:
120120 sha256sum ${PRODUCT}-${VERSION}-${RELEASE}.${{ matrix.dist.name }}.${{ matrix.dist.arch }}.deb | tee ${PRODUCT}-${VERSION}-${RELEASE}.${{ matrix.dist.name }}.${{ matrix.dist.arch }}.deb.sha256sum
121121
122122 - name : Artifact Upload
123- uses : actions/upload-artifact@v4
123+ uses : actions/upload-artifact@v7
124124 with :
125125 name : ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
126126 path : |
@@ -150,21 +150,21 @@ jobs:
150150 steps :
151151 - name : Checkout Source code
152152 if : github.event_name == 'push'
153- uses : actions/checkout@v4
153+ uses : actions/checkout@v6
154154 with :
155155 fetch-depth : 0
156156# ref: master
157157
158158 - name : Checkout Source code
159159 if : github.event_name == 'pull_request'
160- uses : actions/checkout@v4
160+ uses : actions/checkout@v6
161161 with :
162162 fetch-depth : 0
163163 ref : ${{ github.event.pull_request.head.sha }}
164164
165165 - name : Checkout Source code
166166 if : github.event_name == 'workflow_dispatch'
167- uses : actions/checkout@v4
167+ uses : actions/checkout@v6
168168 with :
169169 ref : ${{ github.sha }}
170170
@@ -186,7 +186,7 @@ jobs:
186186 echo "GIT_HASH=${git_hash}" >> $GITHUB_ENV
187187
188188 - name : Get packpack tool
189- uses : actions/checkout@v4
189+ uses : actions/checkout@v6
190190 with :
191191 repository : ${{ env.PACKPACK_REPO }}
192192 path : tools
@@ -237,7 +237,7 @@ jobs:
237237
238238 - name : Artifact Upload
239239 if : matrix.dist.os == 'fedora'
240- uses : actions/upload-artifact@v4
240+ uses : actions/upload-artifact@v7
241241 with :
242242 name : ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
243243 path : |
@@ -246,7 +246,7 @@ jobs:
246246
247247 - name : Artifact Upload
248248 if : matrix.dist.os == 'opensuse-leap'
249- uses : actions/upload-artifact@v4
249+ uses : actions/upload-artifact@v7
250250 with :
251251 name : ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
252252 path : |
@@ -279,21 +279,21 @@ jobs:
279279
280280 - name : Checkout Source code
281281 if : github.event_name == 'push'
282- uses : actions/checkout@v4
282+ uses : actions/checkout@v6
283283 with :
284284 fetch-depth : 0
285285# ref: master
286286
287287 - name : Checkout Source code
288288 if : github.event_name == 'pull_request'
289- uses : actions/checkout@v4
289+ uses : actions/checkout@v6
290290 with :
291291 fetch-depth : 0
292292 ref : ${{ github.event.pull_request.head.sha }}
293293
294294 - name : Checkout Source code
295295 if : github.event_name == 'workflow_dispatch'
296- uses : actions/checkout@v4
296+ uses : actions/checkout@v6
297297 with :
298298 ref : ${{ github.sha }}
299299
@@ -360,7 +360,7 @@ jobs:
360360 sha256sum Flameshot-${VERSION}.x86_64.AppImage | tee Flameshot-${VERSION}.x86_64.AppImage.sha256sum
361361
362362 - name : Artifact Upload
363- uses : actions/upload-artifact@v4
363+ uses : actions/upload-artifact@v7
364364 with :
365365 name : ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-appimage-x86_64
366366 path : |
@@ -374,20 +374,20 @@ jobs:
374374 steps :
375375 - name : Checkout Source code
376376 if : github.event_name == 'push'
377- uses : actions/checkout@v4
377+ uses : actions/checkout@v6
378378 with :
379379 fetch-depth : 0
380380 ref : master
381381 - name : Checkout Source code
382382 if : github.event_name == 'pull_request'
383- uses : actions/checkout@v4
383+ uses : actions/checkout@v6
384384 with :
385385 fetch-depth : 0
386386 ref : ${{ github.event.pull_request.head.sha }}
387387
388388 - name : Checkout Source code
389389 if : github.event_name == 'workflow_dispatch'
390- uses : actions/checkout@v4
390+ uses : actions/checkout@v6
391391 with :
392392 ref : ${{ github.sha }}
393393
@@ -440,7 +440,7 @@ jobs:
440440 cd "$GITHUB_WORKSPACE/" || { >&2 echo "Cannot cd to '$GITHUB_WORKSPACE/'!"; exit 11 ; }
441441 sha256sum org.flameshot.Flameshot-${VERSION}.x86_64.flatpak | tee org.flameshot.Flameshot-${VERSION}.x86_64.flatpak.sha256sum
442442 - name : Artifact Upload
443- uses : actions/upload-artifact@v4
443+ uses : actions/upload-artifact@v7
444444 with :
445445 name : ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-flatpak-x86_64
446446 path : |
@@ -454,21 +454,21 @@ jobs:
454454 steps :
455455 - name : Checkout Source code
456456 if : github.event_name == 'push'
457- uses : actions/checkout@v4
457+ uses : actions/checkout@v6
458458 with :
459459 fetch-depth : 0
460460 ref : master
461461 - name : Checkout Source code
462462 if : github.event_name == 'pull_request'
463- uses : actions/checkout@v4
463+ uses : actions/checkout@v6
464464 with :
465465 fetch-depth : 0
466466 ref : ${{ github.event.pull_request.head.sha }}
467467
468468
469469 - name : Checkout Source code
470470 if : github.event_name == 'workflow_dispatch'
471- uses : actions/checkout@v4
471+ uses : actions/checkout@v6
472472 with :
473473 ref : ${{ github.sha }}
474474
@@ -503,7 +503,7 @@ jobs:
503503 cd "$GITHUB_WORKSPACE/build/" || { >&2 echo "Cannot cd to '$GITHUB_WORKSPACE/build/'!"; exit 11 ; }
504504 sha256sum ${PRODUCT}-${VERSION}-${RELEASE}.amd64.snap | tee ${PRODUCT}-${VERSION}-${RELEASE}.amd64.snap.sha256sum
505505 - name : Artifact Upload
506- uses : actions/upload-artifact@v4
506+ uses : actions/upload-artifact@v7
507507 with :
508508 name : ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-snap-x86_64
509509 path : |
0 commit comments